summaryrefslogtreecommitdiffstats
path: root/source/xap/seamonkey
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/seamonkey')
-rwxr-xr-xsource/xap/seamonkey/seamonkey.SlackBuild3
-rw-r--r--source/xap/seamonkey/seamonkey.gettid.patch15
2 files changed, 18 insertions, 0 deletions
diff --git a/source/xap/seamonkey/seamonkey.SlackBuild b/source/xap/seamonkey/seamonkey.SlackBuild
index 71712cd63..aa7c2cc5b 100755
--- a/source/xap/seamonkey/seamonkey.SlackBuild
+++ b/source/xap/seamonkey/seamonkey.SlackBuild
@@ -109,6 +109,9 @@ cd seamonkey-${TARBALLVER} || exit 1
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/sm.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
+# Fix for glibc-2.30's included gettid():
+zcat $CWD/seamonkey.gettid.patch.gz | patch -p1 --verbose || exit 1
+
# Don't complain if Rust is i686:
zcat $CWD/seamonkey.i686.triplet.fix.diff.gz | patch -p1 --verbose || exit 1
diff --git a/source/xap/seamonkey/seamonkey.gettid.patch b/source/xap/seamonkey/seamonkey.gettid.patch
new file mode 100644
index 000000000..81d5eabf9
--- /dev/null
+++ b/source/xap/seamonkey/seamonkey.gettid.patch
@@ -0,0 +1,15 @@
+diff -Nrbu seamonkey-2.49.4/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h seamonkey-2.49.4-OK/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h
+--- seamonkey-2.49.4/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h 2018-07-12 05:19:15.000000000 +0300
++++ seamonkey-2.49.4-OK/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h 2019-07-27 20:31:47.675086876 +0300
+@@ -65,10 +65,7 @@
+ #include <unistd.h>
+ #if !defined(__BIONIC__)
+ #include <sys/syscall.h>
+-static inline pid_t gettid()
+-{
+- return (pid_t) syscall(SYS_gettid);
+-}
++
+ #endif
+ #endif
+